curl --request POST \
--url https://api.ara.so/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"success_url": "",
"promotion_code": "<string>"
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a Stripe Checkout session for Pro or Ultra.
Supports both hosted checkout (redirect) and custom checkout (client_secret). Pass embedded=true for custom checkout with Stripe Elements.
curl --request POST \
--url https://api.ara.so/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"success_url": "",
"promotion_code": "<string>"
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Was this page helpful?